Name:		basetest
Version:	1.3
Release:	%mkrel 12
Summary:	Simulator Number System
License:	GPLv3+
Group:		Sciences/Mathematics
#https://github.com/Voral/numericsystem/archive/v%{version}.tar.gz
URL:		https://github.com/Voral/numericsystem
Source0:	https://github.com/Voral/numericsystem/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-mga-desktop.patch
Patch1:		%{name}-%{version}-mga-qt5.patch
Patch2:		%{name}-%{version}-mga-translator.patch
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	qttranslations5

%description
Simulator Number System.
The program helps to get the skills to transfer numbers between different
number systems (use of systems with a base of 2 to 36).

%prep
%autosetup -p1

%build
cd src
%qmake_qt5
%make_build

%install
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 ./bin/%{name} %{buildroot}%{_bindir}/

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 ./packages/%{name}/usr/share/pixmaps/%{name}.png %{buildroot}%{_datadir}/pixmaps/

%__install -dm 755 %{buildroot}%{_datadir}/applications
%__install -m 644 ./packages/%{name}/usr/share/applications/%{name}.desktop %{buildroot}%{_datadir}/applications/

%files
%doc README
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 1.3-12.mga8
+ Revision: 1658149
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.3-11.mga8
+ Revision: 1524409
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 1.3-10.mga7
+ Revision: 1381302
- Qt5 Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.3-9.mga7
+ Revision: 1295345
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 1.3-8.mga7
+ Revision: 1211595
- Fixed Source0 URL
- Use new make macros

* Thu Mar 17 2016 daviddavid <daviddavid> 1.3-7.mga6
+ Revision: 992369
- rediff unappliable translator patch (since fixed autopatch)

* Sun Jan 24 2016 alexl <alexl> 1.3-6.mga6
+ Revision: 927010
- fix translations for Qt strings and for "About" dialog
- build against qt5 (thanks for admsasha)
- install README doc

* Sun Nov 23 2014 alexl <alexl> 1.3-5.mga5
+ Revision: 798523
- changed Categories
- used different Name, GenericName, Comment

* Wed Oct 15 2014 umeabot <umeabot> 1.3-3.mga5
+ Revision: 745666
- Second Mageia 5 Mass Rebuild
+ alexl <alexl>
- fixed erratum for description

* Tue Sep 16 2014 umeabot <umeabot> 1.3-2.mga5
+ Revision: 678117
- Mageia 5 Mass Rebuild

* Sat Apr 12 2014 alexl <alexl> 1.3-1.mga5
+ Revision: 613647
- imported package basetest

